package dk.nsp.idsas.util;

public enum FaultCode {

    LOOKUP_ERROR("lookup-error"),
    GET_SALT_ERROR("get-salt-error"),
    CREATE_BLURRING_ERROR("create-blurring-error"),
    CREATE_ORG_BLURRING_ERROR("create-org-blurring-error"),
    REMOVE_ORG_BLURRING_ERROR("remove-blurring-error"),
    ACTOR_VALIDATION_ERROR("actor-validation-error"),
    HASHING_ERROR("hashing-error"),
    LIST_ORG_BLURRING_ERROR("list-org-blurring-error"),
    ;

    private final String faultCode;

    FaultCode(String faultCode) {
        this.faultCode = faultCode;
    }

    public String getValue() {
        return faultCode;
    }
}