package dk.nsp.idsas.ws._20230601;

import dk.nsp.idsas.ws.AbstractDksServlet;
import org.springframework.beans.factory.annotation.Value;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="DKSServlet20230601", urlPatterns={"20230601/dksconfig"})
public class IdsasLookupDksServlet extends AbstractDksServlet {
    @Value("${dcc.endpoint.20230601}")
    protected String dccEndpoint;

    @Override
    protected String getResourceName() {
        return "/dksconfig_20230601/idsas.xml";
    }

    @Override
    protected String getDccEndpoint() {
        return dccEndpoint;
    }
}
