package dk.nsp.idsas.ws._20240124;

import dk.nsp.idsas.ws.AbstractDksServlet;
import org.springframework.beans.factory.annotation.Value;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="DKSServlet20240124", urlPatterns={"20240124/dksconfig"})
public class IdsasLookupDksServlet extends AbstractDksServlet {
    @Value("${dcc.endpoint.20240124}")
    protected String dccEndpoint;

    @Override
    protected String getResourceName() {
        return "/dksconfig_20240124/idsas.xml";
    }

    @Override
    protected String getDccEndpoint() {
        return dccEndpoint;
    }
}
