package dk.nsp.idsas.dao;

public class CleanupJobStatus {
    public final int rowsDeleted;
    public final int rowsLeft;
    public final ExecutionStatus finished;

    public CleanupJobStatus(int rowsDeleted, int rowsLeft, ExecutionStatus finished) {
        this.rowsDeleted = rowsDeleted;
        this.rowsLeft = rowsLeft;
        this.finished = finished;
    }

    public static CleanupJobStatus notStarted() {
        return new CleanupJobStatus(0, 0, ExecutionStatus.NOT_STARTED);
    }

    public enum ExecutionStatus { FINISHED, NOT_FINISHED, NOT_STARTED }
}