package dk.nsp.idsas.security;

import dk.nsp.idsas.util.FaultCode;
import dk.nsp.idsas.util.IdsasException;

public class IdsasSecurityException extends IdsasException {
    private final boolean client;

    public IdsasSecurityException(String message, FaultCode code, boolean client) {
        super(message, code, client);
        this.client = client;
    }

    public boolean isClient() {
        return client;
    }
}
