package dk.nsp.idsas.test._20230601;

import dk.nsp.idsas.test.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class RenewSaltStepDefinitions {

    @Value("${idsas.operations.endpoint}" + "/renew-salt")
    private String renewSaltEndpoint;

    private int responseCode;

    @When("fornyelse af salt forespørges")
    public void fornyelseAfSaltForespørges() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(renewSaltEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("fornyelse af salt giver returkode {int}")
    public void fornyelseAfSaltGiverReturkode(int expectedResponseCode) {
        Assert.assertEquals(expectedResponseCode, responseCode);
    }
}
