package dk.nsp.idsas.test._20240124;

import dk.nsp.idsas.test.setup.TestSetup;
import io.cucumber.junit.Cucumber;
import io.cucumber.junit.CucumberOptions;
import io.cucumber.spring.CucumberContextConfiguration;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.TestContextManager;

@RunWith(Cucumber.class)
@ContextConfiguration(classes = {TestSetup.class})
@CucumberContextConfiguration
@CucumberOptions(
		features = "src/test/resources/dk/nsp/idsas/test/_20240124/",
		glue = "dk.nsp.idsas.test._20240124",
		plugin = {
				"pretty",
                "html:target/cucumber-reports/cucumber.html",
                "json:target/cucumber-reports/cucumber.json"
        })
public class IdsasIT {
	@Before
	public void setupSpringContext() throws Exception {
		TestContextManager testContextManager = new TestContextManager(getClass());
		testContextManager.prepareTestInstance(this);
	}
	
}
