package dk.nsp.idsas.ws;

import javax.servlet.annotation.WebServlet;
import java.util.Arrays;
import java.util.List;

@WebServlet(name = "WsdlWeb", urlPatterns = {"service-contract/*"})
public class WsdlServlet extends AbstractWsdlServlet {
    @Override
    List<String> validSuffixes() {
        return Arrays.asList(
                "idsas-lookup.wsdl",
                "idsas-common.xsd",
                "idsas-lookup.xsd",
                "wsse.xsd",
                "saml.xsd",
                "medcom.xsd",
                "wsu.xsd",
                "ds.xsd",
                "liberty-idwsf-soap-binding.xsd",
                "idws-fault.xsd"
        );
    }
}
