package dk.nsp.idsas.ws;

import org.springframework.beans.factory.annotation.Value;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="DKSServlet", urlPatterns={"/dksconfig"})
public class IdsasSaltDksServlet extends AbstractDksServlet {
    @Value("${dcc.endpoint}")
    protected String dccEndpoint;

    @Override
    protected String getResourceName() {
        return "/dksconfig/idsas.xml";
    }

    @Override
    protected String getDccEndpoint() {
        return dccEndpoint;
    }
}
